Back To Product

Follow this Question

2 Answers from the Community

  • Apple Responds
    Answer

    The requirements are: Operating System: Mac OS X v10.10 or later

    Was this useful? Answer 1

    2 of 2 people found this useful

  • GOOD

    Apple Responds

    Microsoft Office 365 requires Mac OS X v10.10 (OS X Yosemite) or newer to work, so we'd be unable to use OS X Lion with this option.

    Was this useful? Answer 2

    0 of 0 people found this useful

Related Questions